package com.yyb.service;

import com.yyb.commons.utils.Page;
import com.yyb.pojo.Customer;
import com.yyb.pojo.QueryVo;

/**
 * Created by Administrator on 2017/8/18.
 */
public interface CustomerService {
    /**
     * 根据条件分页查询客户
     *
     * @param queryVo
     * @return
     */
    Page<Customer> queryCustomerByQueryVo(QueryVo queryVo);

    /**
     * 根据id查询数据
     *
     * @param id
     * @return
     */
    Customer queryCustomerById(Long id);

    /**
     * 根据id编辑客户数据
     *
     * @param customer
     */
    int updateCustomerById(Customer customer);

    /**
     * 根据id删除客户
     *
     * @param id
     */
    int deleteCustomerById(Long id);
}
