package com.yyb.mapper;

import com.yyb.pojo.Customer;
import com.yyb.pojo.QueryVo;

import java.util.List;

/**
 * Created by Administrator on 2017/8/18.
 */
public interface CustomerMapper {
    /**
     * 根据queryVo分页查询数据
     *
     * @param queryVo
     * @return
     */
    List<Customer> queryCustomerByQueryVo(QueryVo queryVo);

    /**
     * 根据queryVo查询数据条数
     *
     * @param queryVo
     * @return
     */
    int queryCountByQueryVo(QueryVo queryVo);

    /**
     * 根据id查询客户
     *
     * @param id
     * @return
     */
    Customer queryCustomerById(Long id);

    /**
     * 根据id编辑客户
     *
     * @param customer
     */
    int updateCustomerById(Customer customer);

    /**
     * 根据id删除用户
     *
     * @param id
     */
    int deleteCustomerById(Long id);
}
